Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Argus::IEventQueue Member List

This is the complete list of members for Argus::IEventQueue, including all inherited members.

getEvent(uint32_t index) const =0 | Argus::IEventQueue | pure virtual
getEventTypes(std::vector< EventType > *types) const =0 | Argus::IEventQueue | pure virtual
getNextEvent()=0 | Argus::IEventQueue | pure virtual
getSize() const =0 | Argus::IEventQueue | pure virtual
id() | Argus::IEventQueue | inline static
Interface() | Argus::Interface | inline protected
~IEventQueue() | Argus::IEventQueue | inline protected
~Interface() | Argus::Interface | inline protected